Getopt::Yath::Option::AutoList(3pm)

NAME
Getopt::Yath::Option::AutoList - Options with a default list of values

DESCRIPTION
This is a combination of 'Auto' and 'List' types. The no-arg form "--opt" will add the default values(s) to the list. The "--opt=VAL" form will add additional values.

SYNOPSIS
    option do_things => (
        type => 'AutoList',
        autofill => sub { qw/foo bar baz/ },
    );

METHODS
All methods from Getopt::Yath::Option::List are inherited. The following are overridden or noteworthy:

requires_arg: false
allows_autofill: true
requires_autofill: true
    "--opt" adds the autofill value(s) to the list. "--opt=VAL" adds a specific value.

SOURCE
The source code repository for Getopt-Yath can be found at <http://github.com/Test-More/Getopt-Yath/>.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See <http://dev.perl.org/licenses/>